package request

import "gitea.drugeyes.vip/pharnexbase/tools/utils"

type md5 struct{}

type sha1 struct{}

func NewMD5HashAlg() *md5 {
	return &md5{}
}

func NewSHA1HashAlg() *sha1 {
	return &sha1{}
}

func (m *md5) Hash(str string) string {
	return utils.Md5(str)
}

func (s *sha1) Hash(str string) string {
	return utils.Sha1(str)
}
